Flow Control

Get Flow Control Key

Get details of a specific Flow Control key

GET/v2/flowControl/{flowControlKey}
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/flowControl/{flowControlKey} \
  --header 'Authorization: Bearer <token>'
200Response
{
  "flowControlKey": "<string>",
  "waitListSize": 123,
  "parallelismMax": 123,
  "parallelismCount": 123,
  "rateMax": 123,
  "rateCount": 123,
  "ratePeriod": 123,
  "ratePeriodStart": 123,
  "isPinnedParallelism": true,
  "isPinnedRate": true,
  "isPaused": true
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Path parameters

flowControlKeypathstringrequired

The Flow Control key to retrieve

Response

200 — Flow control key details

flowControlKeystring

The flow control key name

waitListSizeinteger

The number of messages waiting due to flow control configuration.

parallelismMaxinteger

The configured maximum number of messages allowed to run concurrently, if parallelism is set.

parallelismCountinteger

The current number of messages running in parallel.

rateMaxinteger

The configured maximum number of messages allowed per rate period, if rate limiting is set.

rateCountinteger

The number of messages dispatched in the current rate period.

ratePeriodinteger

The length of the rate period in seconds.

ratePeriodStartinteger

Unix timestamp (seconds) when the current rate period started.

isPinnedParallelismboolean

True if the flow-control key has a pinned parallelism configuration.

isPinnedRateboolean

True if the flow-control key has a pinned rate configuration.

isPausedboolean

True if the delivery of messages associated with the flow-control key is paused.

404 — Flow Control key not found

errorstringrequired

Error message

Loading search…